Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Algorithm.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Algorithm.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Algorithm.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/AlgorithmClass.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/AlgorithmClass.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/AlgorithmClass.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/BinaryValue.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/BinaryValue.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/BinaryValue.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/BoolValue.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/BoolValue.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/BoolValue.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/DataType.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/DataType.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/DataType.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/DoubleValue.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/DoubleValue.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/DoubleValue.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/FloatValue.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/FloatValue.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/FloatValue.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/IntValue.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/IntValue.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/IntValue.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/LongValue.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/LongValue.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/LongValue.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/PercentValue.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/PercentValue.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/PercentValue.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Problem.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Problem.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Problem.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/ProblemClass.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/ProblemClass.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/ProblemClass.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Run.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Run.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Run.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/SingleObjectiveSolution.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/SingleObjectiveSolution.cs	(revision 15973)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/SingleObjectiveSolution.cs	(revision 15973)
@@ -0,0 +1,35 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Runtime.Serialization;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace HeuristicLab.Services.OKB.RunCreation.DataTransfer {
+  [DataContract]
+  public class SingleObjectiveSolution : Solution {
+    [DataMember]
+    public double Quality { get; set; }
+  }
+}
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Solution.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Solution.cs	(revision 15973)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Solution.cs	(revision 15973)
@@ -0,0 +1,37 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.RunCreation.DataTransfer {
+  [DataContract]
+  [KnownType(typeof(SingleObjectiveSolution))]
+  public class Solution {
+    [DataMember]
+    public long Id { get; set; }
+    [DataMember]
+    public long ProblemId { get; set; }
+    [DataMember]
+    public long? RunId { get; set; }
+    [DataMember]
+    public DataType DataType { get; set; }
+  }
+}
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/StringValue.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/StringValue.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/StringValue.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/TimeSpanValue.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/TimeSpanValue.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/TimeSpanValue.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Value.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Value.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.OKB/3.3/RunCreation/DataTransfer/Value.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
